@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  testautomation-core startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and TESTAUTOMATION_CORE_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\testautomation-core-1.1.0.jar;%APP_HOME%\lib\jackson-databind-2.6.7.jar;%APP_HOME%\lib\jsqlparser-1.1.jar;%APP_HOME%\lib\protobuf-java-util-3.4.0.jar;%APP_HOME%\lib\protobuf-java-3.4.0.jar;%APP_HOME%\lib\commons-beanutils-1.9.2.jar;%APP_HOME%\lib\commons-io-2.4.jar;%APP_HOME%\lib\commons-cli-1.4.jar;%APP_HOME%\lib\rest-assured-3.0.0.jar;%APP_HOME%\lib\poi-ooxml-3.15.jar;%APP_HOME%\lib\poi-3.15.jar;%APP_HOME%\lib\commons-collections4-4.1.jar;%APP_HOME%\lib\commons-configuration2-2.2.jar;%APP_HOME%\lib\commons-csv-1.5.jar;%APP_HOME%\lib\hamcrest-library-1.3.jar;%APP_HOME%\lib\selenium-chrome-driver-3.0.1.jar;%APP_HOME%\lib\slf4j-simple-1.7.5.jar;%APP_HOME%\lib\slf4j-api-1.7.5.jar;%APP_HOME%\lib\spring-core-4.3.12.RELEASE.jar;%APP_HOME%\lib\testng-6.9.10.jar;%APP_HOME%\lib\py4j-0.10.6.jar;%APP_HOME%\lib\jackson-annotations-2.6.0.jar;%APP_HOME%\lib\jackson-core-2.6.7.jar;%APP_HOME%\lib\selenium-remote-driver-3.0.1.jar;%APP_HOME%\lib\guava-19.0.jar;%APP_HOME%\lib\gson-2.7.jar;%APP_HOME%\lib\httpmime-4.5.2.jar;%APP_HOME%\lib\httpclient-4.5.2.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-collections-3.2.1.jar;%APP_HOME%\lib\xml-path-3.0.0.jar;%APP_HOME%\lib\groovy-xml-2.4.6.jar;%APP_HOME%\lib\json-path-3.0.0.jar;%APP_HOME%\lib\groovy-json-2.4.6.jar;%APP_HOME%\lib\rest-assured-common-3.0.0.jar;%APP_HOME%\lib\groovy-2.4.6.jar;%APP_HOME%\lib\hamcrest-core-1.3.jar;%APP_HOME%\lib\tagsoup-1.2.1.jar;%APP_HOME%\lib\commons-lang3-3.6.jar;%APP_HOME%\lib\poi-ooxml-schemas-3.15.jar;%APP_HOME%\lib\curvesapi-1.04.jar;%APP_HOME%\lib\jcommander-1.48.jar;%APP_HOME%\lib\bsh-2.0b4.jar;%APP_HOME%\lib\httpcore-4.4.4.jar;%APP_HOME%\lib\commons-codec-1.10.jar;%APP_HOME%\lib\xmlbeans-2.6.0.jar;%APP_HOME%\lib\selenium-api-3.0.1.jar;%APP_HOME%\lib\cglib-nodep-3.2.4.jar;%APP_HOME%\lib\commons-exec-1.3.jar;%APP_HOME%\lib\jna-platform-4.1.0.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\jna-4.1.0.jar

@rem Execute testautomation-core
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %TESTAUTOMATION_CORE_OPTS%  -classpath "%CLASSPATH%" com.elyxor.testautomation.Commander %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable TESTAUTOMATION_CORE_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%TESTAUTOMATION_CORE_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
